<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('tenants', function (Blueprint $table) {
            $table->dropForeign(['selected_bank_account_id']);
            $table->dropColumn('selected_bank_account_id');
        });

        Schema::dropIfExists('bank_accounts');
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::create('bank_accounts', function (Blueprint $table) {
            $table->id();
            $table->string('tenant_code');
            $table->string('titular');
            $table->string('entidad');
            $table->string('alias');
            $table->string('cvu');
            $table->timestamps();

            $table->foreign('tenant_code')->references('codigo')->on('tenants')->onDelete('cascade');
        });

        Schema::table('tenants', function (Blueprint $table) {
            $table->unsignedBigInteger('selected_bank_account_id')->nullable();
            $table->foreign('selected_bank_account_id')->references('id')->on('bank_accounts')->onDelete('set null');
        });
    }
};
